Bug 1462048 - [RFE] API Keys/Application specific passwords
Summary: [RFE] API Keys/Application specific passwords
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 14.0 (Rocky)
Assignee: John Dennis
QA Contact: Pavan
URL:
Whiteboard:
Depends On:
Blocks: 1659296
TreeView+ depends on / blocked
 
Reported: 2017-06-16 00:55 UTC by Graeme Gillies
Modified: 2019-01-11 11:48 UTC (History)
8 users (show)

Fixed In Version: openstack-keystone-14.0.0-0.20180805135729
Doc Type: Enhancement
Doc Text:
With this update, Users can create application credentials to allow their applications to authenticate to keystone. See https://docs.openstack.org/keystone/latest/user/application_credentials.html
Clone Of:
Environment:
Last Closed: 2019-01-11 11:47:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 450415 None MERGED Application Credentials for application authn 2020-03-20 09:14:31 UTC
OpenStack gerrit 534965 None MERGED Add CRUD support for application credentials 2020-03-20 09:14:31 UTC
OpenStack gerrit 552145 None MERGED Add support for application credentials 2020-03-20 09:14:31 UTC
OpenStack gerrit 559429 None MERGED Add identity API version discovery 2020-03-20 09:14:31 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:48:28 UTC

Description Graeme Gillies 2017-06-16 00:55:27 UTC
This RFE is to enable/implement the following

http://lists.openstack.org/pipermail/openstack-dev/2017-May/116596.html

https://review.openstack.org/#/c/450415/

in RHOS.

Not only does work need to be done in keystone, but also openstack client and horizon as well (for best user experience).

Comment 13 Harry Rybacki 2018-06-28 20:40:25 UTC
Support for application credentials within the python-keystoneclient landed towards the end of the Queens release[1].

The blueprint to add functionality in Horizon was approved for Rocky[2] and is being worked in the following reviews[3,4] both of which have merged.

[1] - https://review.openstack.org/#/c/534965/
[2] - https://blueprints.launchpad.net/horizon/+spec/application-credentials
[3] - https://review.openstack.org/#/c/552145/
[4] - https://review.openstack.org/#/c/559429/

Comment 15 Harry Rybacki 2018-08-20 13:22:19 UTC
Required bits have landed downstream. Review session with QE complete. Noting FIV and moving bug to MODIFIED.

Comment 19 errata-xmlrpc 2019-01-11 11:47:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.